#!/bin/sh
VERSION=`sed -n 's/AC_INIT.*\, \(.*\)[)]/\1/ p' configure.ac`
FILES="src/bibxmlparse bibclean-*/bibclean ../scripts/bib_milca.sed scripts/bibtex2xml ../scripts/ec.pl ../scripts/error.pl ../scripts/prep.pl ../xsl/i2bibtexml.xsl"
INSTDIR=bibxml-release-$VERSION
TARBALL=$INSTDIR.tar.gz

rm -fr releasetmp
mkdir -p releasetmp/$INSTDIR

cd releasetmp

CFLAGS="-g -O2" ../configure --enable-oldrelease && make || exit
tar xzf ../bibclean.tar.gz
(cd bibclean-* && ./configure && make)

cp $FILES $INSTDIR
chmod a+x $INSTDIR/bibtex2xml

tar czf $TARBALL $INSTDIR

mv $TARBALL ..


