#!/usr/bin/perl -w

use strict;

sub replace_colons {
  (my $z = shift) =~ s/\:/_/g;
  $z;
}


while (<>){
  # changes \x+delimiter or {\x(+delimiter)} into \x{}
  # this might also catch forms like {\x\ } or {\x~} which
  # nobody uses since the delimiting is doubled
  s/\{?\\([ijlLSPoO])(?:\ |~|\\\ )?\}?/\\$1\{\}/g;
  # change special sequences like \" a, possibly surrounded by
  # curly braces into \"{a}.
  # The first group lists all valid modifiers, the second catches
  # a character (although it could also be a .)
  s/\{?(\\[`'\^"=~\.bcdHkrtuv])\ *([a-zA-Z])\}?/$1\{$2\}/g;

  # change {\(La)TeX(e)} into <tex code="...">...</tex>
  s/\{\\((?:La)?TeXe?)}/<tex code="\\$1">$1<\/tex>/g;

  # delete double quotes around text nodes
  s/>"/>/g;
  s/"</</g;

  s/\<label\>([^\<]+)\<\/label\>/"<label>" . replace_colons($1) . "<\/label>"/ge;

  print;
}
